From 8e11e556656324c6ac168c81b89e53369f5e7899 Mon Sep 17 00:00:00 2001
From: jullianaa <julliana.coutoalmeida@gmail.com>
Date: Jun 21 2018 00:58:01 +0000
Subject: [PATCH 33/42] Merge branch 'tests' of ssh://pagure.io/forks/matheussbernardo/kiskadee/kiskadee_ui into tests


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index fded2fd..a134f5a 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -123,7 +123,11 @@ export default {
       this.errorCountDown = errorCountDown
     },
     showAlert (successMessage) {
-      (successMessage) ? this.successCountDown = this.dismissSecs : this.errorCountDown = this.dismissSecs
+      if(successMessage) {
+        this.successCountDown = this.dismissSecs
+      } else {
+        this.errorCountDown = this.dismissSecs
+      }
     },
     createPrevious (packageFilter) {
       let previous = '--'
diff --git a/src/components/shared/DefaultTable.vue b/src/components/shared/DefaultTable.vue
index d454b02..229832f 100644
--- a/src/components/shared/DefaultTable.vue
+++ b/src/components/shared/DefaultTable.vue
@@ -35,20 +35,22 @@
 </template>
 <script>
 
+import * as packagePage from './packagePage.js'
+
 export default {
   data () {
     return {
-      currentPage: 1,
+      currentPage: packagePage.INITIAL_PAGE,
       perPage: 10,
       pageOptions: [{
-        text: 5,
-        value: 5
+        text: packagePage.SHOW_FIVE_ITEMS,
+        value: packagePage.SHOW_FIVE_ITEMS
       }, {
-        text: 10,
-        value: 10
+        text: packagePage.SHOW_TEN_ITEMS,
+        value: packagePage.SHOW_TEN_ITEMS
       }, {
-        text: 15,
-        value: 15
+        text: packagePage.SHOW_FIFTEEN_ITEMS,
+        value: packagePage.SHOW_FIFTEEN_ITEMS
       }],
       sortBy: null,
       sortDesc: false,
diff --git a/src/components/shared/packagePage.js b/src/components/shared/packagePage.js
new file mode 100644
index 0000000..12d6e52
--- /dev/null
+++ b/src/components/shared/packagePage.js
@@ -0,0 +1,7 @@
+export const INITIAL_PAGE = 1
+
+export const SHOW_FIVE_ITEMS = 5
+
+export const SHOW_TEN_ITEMS = 10
+
+export const SHOW_FIFTEEN_ITEMS = 15
diff --git a/src/router/routes.js b/src/router/routes.js
index cb3d611..e04e68e 100644
--- a/src/router/routes.js
+++ b/src/router/routes.js
@@ -5,9 +5,31 @@ import RegisterPage from '../components/register/RegisterPage.vue'
 import LoginPage from '../components/login/LoginPage.vue'
 
 export const routes = [
-  { name: 'home', path: '', component: Home },
-  { name: 'analysis', path: '/analysis/', component: PackagePage, props: route => ({package: route.params.package}), query: { package: 'Test' } },
-  { name: 'profile-page', path: '/profile', component: ProfilePage },
-  { name: 'register-page', path: '/register', component: RegisterPage },
-  { name: 'login-page', path: '/login', component: LoginPage }
+  {
+    name: 'home',
+    path: '',
+    component: Home
+  },
+  {
+    name: 'analysis',
+    path: '/analysis/',
+    component: PackagePage,
+    props: route => ({package: route.params.package}),
+    query: { package: 'Test' }
+  },
+  {
+    name: 'profile-page',
+    path: '/profile',
+    component: ProfilePage
+  },
+  {
+    name: 'register-page',
+    path: '/register',
+    component: RegisterPage
+  },
+  {
+    name: 'login-page',
+    path: '/login',
+    component: LoginPage
+  }
 ]

